Account Details
Get the details of all accounts linked to the Client-Id.
Authentication
All CitiConnect APIs use the oAuth2 authentication scheme, which requires a bearer token to authenticate your API call. The Token URL includes the version of authentication used by this API. See the Citi Authentication API reference for information on requesting a token.
Query parameters
Unique ID you created during oAuth token generation. Citi shares this ID with you during your CitiConnect API onboarding. This parameter is required for all 3 endpoints – GET Accounts, GET Balances, and GET Transactions.
This parameter is required only for the GET Transaction endpoint and is optional for GET Accounts and GET Balances. Account Reference number is the unique identifier created for each account. If this parameter is not used, all accounts associated with Client-Id are returned.
This parameter contains one or more sort criteria. For GET Account, allowed enum value is accountRef.For GET Balance, allowed enum value is accountRef.For GET transaction, allowed enum values are transactionNumber, amount, and transactionActualTime.
Sorting direction. Options include DESC - Descending order sorting and ASC - Ascending order sorting.
Response headers
Unique system-generated reference number generated by Citi. Use this number when reporting an issue to a Citi representative in case of any discrepancy.
current_page: current page number
total_page: Total number of pages available for your request
page_size: Total number of records available in the current page
has_more: Any more messages or records expected